# Uses of Class
it.tdlight.jni.TdApi.SavedMessagesTopicType

## Uses of TdApi.SavedMessagesTopicType in it.tdlight.jni

Subclasses of TdApi.SavedMessagesTopicType in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.SavedMessagesTopicTypeAuthorHidden`
Topic containing messages forwarded from a user with hidden privacy.
`static final class`
`TdApi.SavedMessagesTopicTypeMyNotes`
Topic containing messages sent by the current user of forwarded from an unknown chat.
`static final class`
`TdApi.SavedMessagesTopicTypeSavedFromChat`
Topic containing messages forwarded from a specific chat.
Fields in it.tdlight.jni declared as TdApi.SavedMessagesTopicType
Modifier and Type
Field
Description
`TdApi.SavedMessagesTopicType`
TdApi.SavedMessagesTopic.`type`
Type of the topic.
Constructors in it.tdlight.jni with parameters of type TdApi.SavedMessagesTopicType
Modifier
Constructor
Description
``
`SavedMessagesTopic(long id, TdApi.SavedMessagesTopicType type, boolean isPinned, long order, TdApi.Message lastMessage, TdApi.DraftMessage draftMessage)`
Contains information about a Saved Messages topic.